View Issue Details

IDProjectCategoryView StatusLast Update
0025455mantisbtuipublic2019-03-16 20:20
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025455: Page adm_config_report, users in filter list are not correctly ordered
Description

User names are not properly ordered in the dropdown list, as it's sorting with a case sensitive mode.
Resulting in user names starting with upper case are placed first.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master f0d4f661

2019-02-07 13:09:43

cproensa


Committer: vboctor Details Diff
Fix adm_config_report user list

The code to build the user dropdown list have some issues:
- Missing db_param_push()
- Calls to get user names are not cached generating a lot of separate
queries for individual user ids
- User names are not properly ordered in the dropdown list, as it's
sorting with a case sensitive mode.

Fixes: 0025454, 0025455, 0025456
Affected Issues
0025454, 0025455, 0025456
mod - adm_config_report.php Diff File

Issue History

Date Modified Username Field Change
2019-02-07 13:40 cproensa New Issue
2019-02-07 13:40 cproensa Status new => assigned
2019-02-07 13:40 cproensa Assigned To => cproensa
2019-02-24 16:42 vboctor Changeset attached => MantisBT master f0d4f661
2019-02-24 16:42 cproensa Status assigned => resolved
2019-02-24 16:42 cproensa Resolution open => fixed
2019-02-24 16:42 cproensa Fixed in Version => 2.20.0
2019-02-24 16:43 vboctor Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed